SFGETI(3NCARG)

NAME
SFGETI - Used to retrieve the current integer value of a specified parameter.

SYNOPSIS
CALL SFGETI (CNP, IVP)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_sfgeti (char *cnp, int *ivp)

DESCRIPTION

CNP (an input expression of type CHARACTER) is one of the character strings 'AN', 'CH', 'DO', 'SP', or 'TY' (or a longer string beginning with one of these strings), meaning "ANgle", "CHaracter", "DOts", "SPacing", and "TYpe", respectively.

IVP (an output variable of type INTEGER) is the name of a variable into which the value of the parameter specified by CNP is to be retrieved. If the internal parameter is inherently a real value "r", "INT(r)" will be returned as the value of IVP.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current integer value of Softfill parameters. For a complete list of parameters available in this utility, see the softfill_params man page.

ACCESS
To use SFGETI or c_sfgeti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the softfill man page for a description of all Softfill error messages and/or informational messages.

SEE ALSO
Online: softfill, softfill_params, sfgetc, sfgetp, sfgetr, sfsetc, sfseti, sfsetp, sfsetr, sfsgfa, sfwrld, ncarg_cbind

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.